
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "pwgen/version"

Gem::Specification.new do |spec|
  spec.name          = "pwgen"
  spec.version       = Pwgen::VERSION
  spec.authors       = ["Tim Gurney aka Wolf"]
  spec.email         = ["wolf@tgwolf.com"]

  spec.summary       = %q{A full featured ruby gem for password creation.}
  spec.description   = %q{A full featured ruby gem for password creation.}
  spec.homepage      = "https://github.com/AntiPhotonltd/password_generator"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.required_ruby_version = '>= 2.3.0'

  spec.add_development_dependency "bundler", ">= 1.17", "< 3.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"

  spec.add_development_dependency 'phonetic_encoder', '~> 1.1'
  spec.add_development_dependency 'punctuation_name', '~> 1.1'
  spec.add_development_dependency 'to_words', '~> 1.1'

  spec.add_runtime_dependency 'phonetic_encoder', '~> 1.1.1'
  spec.add_runtime_dependency 'punctuation_name', '~> 1.1.1'
  spec.add_runtime_dependency 'to_words', '~> 1.1.1'
end
